<?php
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }
class getCBRegistrationHistoryTab  extends cbTabHandler {
	/**
	* Constructor
	*/
	function getCBRegistrationHistoryTab() {
		$this->cbTabHandler();
	}
	/**
	 * Display registration history of a user
	 *
	 * @param object $tab
	 * @param object $user
	 * @param int $ui
	 */
	function getDisplayTab($tab,$user,$ui) {
		$db = & JFactory::getDBO() ;
		$params = $this->params ;		
		$sql = 'SELECT COUNT(*) FROM #__osmembership_subscribers WHERE user_id  = '.$user->id;
		$db->setQuery($sql) ;
		$total = $db->loadResult();		
		$numberRegistrants = $params->get('number_records', 10);			
		$pagingParams = $this->_getPaging(array(),array("entries_"));
		if ($pagingParams["entries_limitstart"] === null) $pagingParams["entries_limitstart"] = "0";
		if ($numberRegistrants > $total) $pagingParams["entries_limitstart"] = "0";		
		$sql=" SELECT a.*, b.title AS plan_title "
			. " FROM #__osmembership_subscribers AS a "
			. " LEFT JOIN #__osmembership_plans AS b "
			. " ON a.plan_id = b.id "
			. " WHERE  a.user_id=$user->id "
			. " Order by a.id DESC "			
			. "\n LIMIT ".($pagingParams["entries_limitstart"]?$pagingParams["entries_limitstart"]:"0").",".$numberRegistrants;
		;
		$db->setQuery($sql) ;
		$rows = $db->loadObjectList();	
		ob_start();
		$this->_drawRegistrationHistory($rows, $pagingParams, $numberRegistrants, $total);
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}

	/**
	 * Draw the output for donation history
	 *
	 * @param array $rows
	 */
	function _drawRegistrationHistory($rows , $pagingParams, $numberRegistrants, $total) {
		require_once JPATH_ROOT.'/components/com_osmembership/helper/helper.php';
		$dateformat = OSMembershipHelper::getConfig()->date_format;
		
		if (count($rows)) {
		?>
			<table width="100%" cellspacing="3" cellpadding="3" class="cb_registration_history">
				<tr>
					<td class="sectiontableheader">
						<?php echo JText::_('First Name'); ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Last Name'); ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Plan'); ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Active Time'); ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Gross Amount'); ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Status'); ?>
					</td>
				</tr>
				<?php
					$tabs = array('sectiontableentry1', 'sectiontableentry2');
					$k = 0;
					for($i=0, $n = count($rows); $i < $n; $i++) {
						$row = $rows[$i];
						$tab = $tabs[$k];
					?>
					<tr class="<?php echo $tab; ?>">
						<td>
							<a href="<?php echo JRoute::_('index.php?option=com_osmembership&view=subscription&id='.$row->id)?>">
								<?php echo $row->first_name; ?>
							</a>
						</td>
						<td>
							<?php echo $row->last_name?>
						</td>
						<td>
							<?php echo $row->plan_title?>
						</td>
						<td>
							<strong><?php echo JHTML::_('date', $row->from_date, $dateformat); ?></strong> To <strong><?php echo JHTML::_('date', $row->to_date, $dateformat); ?></strong>
						</td>
						<td>
							$<?php echo number_format($row->gross_amount, 2) ; ?>
						</td>
						<td class="text_center">
							<?php
								switch ($row->published) {
									case 0 :
										echo JText::_('Pending');
										break ;
									case 1 :
										echo JText::_('Active');
										break ;
									case 2 :
										echo JText::_('Expried');
										break ;
									case 3 :
										echo JText::_('Cancelled-Refund pending');
										break ;
									case 4 :
										echo JText::_('Cancelled-Refunded');
										break ;								
								}
							?>
						</td>						
					</tr>
					<?php	
						$k =  1 - $k;	
					}					
					if ($total > $numberRegistrants) {
					?>
						<tr>
							<td colspan="5">
								<div align="center"><?php echo $this->_writePaging($pagingParams ,"entries_", $numberRegistrants, $total); ?></div>
							</td>
						</tr>
					<?php	
					}
				?>												
			</table>
		<?php	
		}		
	}
}
?>
